# HyperEVM debug_traceCall

> import Tabs from '@theme/Tabs'
import TabItem from '@theme/TabItem'

# `debug_traceCall`

<Description />

## Parameters

- Transaction object with the following fields:
  - `from`: (string) address (20 bytes) the transaction is sent from.
  - `to`: (string) _[required]_ address (20 bytes) the transaction is directed to.
  - `gas`: (string) hexadecimal value of the gas provided for the transaction execution.
  - `gasPrice`: (string) hexadecimal value of the `gasPrice` used for each paid gas.
  - `maxPriorityFeePerGas`: (string) maximum fee, in wei, the sender is willing to pay per gas above the base fee.
  - `maxFeePerGas`: (string) maximum total fee (base fee + priority fee), in wei, the sender is willing to pay per gas.
  - `value`: (string) hexadecimal of the value sent with this transaction.
  - `data`: (string) hash of the method signature and encoded parameters.
- `block parameter`: (string) [_required_] must be `latest` on HyperEVM.
- Optional tracing options object with the following fields:
  - `tracer`: (string) _[optional]_ type of tracer. Supports `callTracer`.

## Returns

<Returns />

## Example

<Example />

### Request

<Tabs>
  <TabItem value="curl" label="curl" default>

```bash
curl https://hyperevm-mainnet.infura.io/v3/<YOUR-API-KEY> \
  -X POST \
  -H "Content-Type: application/json" \
  -d '{"jsonrpc": "2.0", "method": "debug_traceCall", "params": [{"to": "0x6b175474e89094c44da98b954eedeac495271d0f", "data": "0x70a082310000000000000000000000006E0d01A76C3Cf4288372a29124A26D4353EE51BE"}, "latest", {"tracer": "callTracer"}], "id": 1}'
```

  </TabItem>
</Tabs>

### Response

<Response />
